Bug 1563784 - 2 "official" client install roles published in Ansible Galaxy
Summary: 2 "official" client install roles published in Ansible Galaxy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Cloud Software Services (cloud.redhat.com)
Classification: Red Hat
Component: Client
Version: unspecified
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Gavin Romig-Koch
QA Contact: Jeff Needle
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 17:06 UTC by Aaron Weitekamp
Modified: 2019-05-13 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-13 16:11:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Aaron Weitekamp 2018-04-04 17:06:47 UTC
Description of problem:
As a customer I find it confusing that there are 2 galaxy roles[1][2] for the insights client from seemingly legitimate authors. Official docs[3] point to this role[1] but the other[2] seems to have more options.

[1] https://galaxy.ansible.com/redhataccess/redhat-access-insights-client/
[2] https://galaxy.ansible.com/RedHatInsights/insights-client/
[3] https://access.redhat.com/products/red-hat-insights/#getstarted 

Version-Release number of selected component (if applicable):
web search 4-apr-2018

How reproducible:
always

Steps to Reproduce:
1. Go to https://galaxy.ansible.com/ 
2. Search for "redhat insights"

Actual results:
Matching roles are returns from authors "redhataccess" and "RedHatInsights"

Expected results:
One official author

Additional info:

Comment 1 Gavin Romig-Koch 2018-04-20 20:16:58 UTC
We are transitioning from the old version of the role (redhat-access-insights-client) to the new version of the role (insights-client).

We have not executed this transition as cleanly as we could have.  I will raise the priority of cleaning up this situation.

In the mean time, both roles work, and both roles are equally supported by Red Hat. As you note, the new role has more features.

Comment 2 Rob Williams 2019-05-13 16:11:27 UTC
Official documentation now points to the correct and updated insights-client role


Note You need to log in before you can comment on or make changes to this bug.